doctrine:
    dbal:
        server_version: 5.6
        driver: pdo_mysql
        dbname: '%env(DATABASE_NAME)%'
        host: '%env(DATABASE_HOST)%'
        port: '%env(DATABASE_PORT)%'
        user: '%env(DATABASE_USER)%'
        password: '%env(DATABASE_PASSWORD)%'
        charset: utf8
        types:
            json: Doctrine\DBAL\Types\JsonType
    orm:
        auto_generate_proxy_classes: '%kernel.debug%'
        naming_strategy: doctrine.orm.naming_strategy.underscore
        auto_mapping: true
        resolve_target_entities:
            SmartUserBundle\Model\User: App\Entity\User
        dql:
            numeric_functions:
                rand: SmartCoreBundle\Doctrine\DQL\Rand
            datetime_functions:
                date: DoctrineExtensions\Query\Mysql\Date
                day: DoctrineExtensions\Query\Mysql\Day
                month: DoctrineExtensions\Query\Mysql\Month
                year: DoctrineExtensions\Query\Mysql\Year
        mappings:
            App:
                is_bundle: false
                type: annotation
                dir: '%kernel.project_dir%/src/Entity'
                prefix: 'App\Entity'
                alias: App
